Bug 998250 - Review Request: perl-Hash-StoredIterator - Functions for accessing a hash's internal iterator
Summary: Review Request: perl-Hash-StoredIterator - Functions for accessing a hash's i...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 997554
Blocks: 998496
TreeView+ depends on / blocked
 
Reported: 2013-08-18 15:49 UTC by Paul Howarth
Modified: 2013-09-13 01:05 UTC (History)
2 users (show)

Fixed In Version: perl-Hash-StoredIterator-0.007-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-03 16:25:12 UTC
Type: ---
jplesnik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2013-08-18 15:49:37 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Hash-StoredIterator/branches/fedora/perl-Hash-StoredIterator.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Hash-StoredIterator/perl-Hash-StoredIterator-0.007-2.fc20.src.rpm
Description:

In perl all hashes have an internal iterator. This iterator is used by the
each() function, as well as by keys() and values(). Because these all share use
of the same iterator, they tend to interact badly with each other when nested.

Hash::StoredIterator gives you access to get, set, and init the iterator inside
a hash. This allows you to store the current iterator, use each / keys / values
etc., and then restore the iterator, which helps you to ensure you do not
interact badly with other users of the iterator.

Along with low-level get / set / init functions, there are also 2 variations of
each() that let you act upon each key/value pair in a safer way than vanilla
each().

This module can also export new implementations of keys() and values() that
stash and restore the iterator so that they are safe to use within each().


Fedora Account System Username: pghmcfc

Comment 1 Jitka Plesnikova 2013-09-03 08:20:49 UTC
Package Oeview
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[ ]: Package contains the mandatory BuildRequires and Requires:.
[ ]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


$ rpmlint ./perl-Hash-StoredIterator.spec ../results/perl-Hash-StoredIterator-0.007-2.fc21.*
perl-Hash-StoredIterator.src: W: spelling-error %description -l en_US init -> unit, int, nit
perl-Hash-StoredIterator.x86_64: W: spelling-error %description -l en_US init -> unit, int, nit
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Rpmlint ok

$ rpm -qp --provides perl-Hash-StoredIterator-0.007-2.fc21.x86_64.rpm | sort | uniq -c
      1 perl(Hash::StoredIterator) = 0.007
      1 perl-Hash-StoredIterator = 0.007-2.fc21
      1 perl-Hash-StoredIterator(x86-64) = 0.007-2.fc21
Binary provides ok

$ rpm -qp --requires perl-Hash-StoredIterator-0.007-2.fc21.x86_64.rpm | sort | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libperl.so.5.18()(64bit)
      1 perl >= 1:5.010000
      1 perl(:MODULE_COMPAT_5.18.1)
      1 perl(B)
      1 perl(Carp)
      1 perl(Exporter)
      1 perl(XSLoader)
      1 perl(base)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
Binary requires ok

Source checksums
----------------
http://cpan.metacpan.org/authors/id/E/EX/EXODIST/Hash-StoredIterator-0.007.tar.gz :
  CHECKSUM(SHA256) this package     : 842a765ab7e47e5e336071a328552359ccfa551527d74b7a74939d8fab9dfcc0
  CHECKSUM(SHA256) upstream package : 842a765ab7e47e5e336071a328552359ccfa551527d74b7a74939d8fab9dfcc0


ISSUES
TODO: BR perl(ExtUtils::CBuilder) is mention in META.*, but it is not used.
      So, it could be removed.


Package is good.
APPROVED

Comment 2 Paul Howarth 2013-09-03 08:41:04 UTC
New Package SCM Request
=======================
Package Name: perl-Hash-StoredIterator
Short Description: Functions for accessing a hash's internal iterator
Owners: pghmcfc
Branches: f19 f20
InitialCC: perl-sig

I don't think there's much to be gained by dropping ExtUtils::CBuilder as it gets pulled in as a dependency of other buildreqs anyway, and somewhere down the line I'd be wondering why not everything in META.* was included as buildreqs.

Thanks again for the review Jitka.

Comment 3 Gwyn Ciesla 2013-09-03 12:21:50 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2013-09-03 16:24:13 UTC
perl-Hash-StoredIterator-0.007-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Hash-StoredIterator-0.007-2.fc19

Comment 5 Fedora Update System 2013-09-13 01:05:43 UTC
perl-Hash-StoredIterator-0.007-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.